Subject: bug#28621: Proposed patch for doc of posn-window and code of posn-set-point to handle frame arguments

From: martin rudalics <[email-masked]>
Date: Sat, 30 Sep 2017 19:12:35 +0200

> This speaks to my point in my most recent prior message, "If we just had a
 > way to get a window from a set of coordinates within a frame, then I think
 > this would help solve a lot of this."  If the event-end of Emacs mouse drag
 > events included a window, rather than a frame, when the endpoint of the
 > drag is at a position unique to a window (considering Z-frame order), I
 > think that would solve all these issues and simplify parts of the posn code.

Take the position of the event-end (if it's a frame) and translate it
into absolute screen coordinates (the Elisp manual should give you
enough clues to do that).  Or, try ‘mouse-absolute-pixel-position’ - it
should give you the screen position of the mouse at that time so you can
ignore the event completely.

Then walk all your windows and compare that position with whatever
‘window-absolute-pixel-edges’ returns for that window.  If you have two
or more positives, run ‘frame-list-z-order’ and compare the result
against those windows' frames.  No hands, IMHO.

martin